{% extends "reddit_quiz/base.html" %}
{% load static %}

{% block title %}
  Quiz creation form
{% endblock %}

{% block header %}
  <link rel="stylesheet" href="{% static "reddit_quiz/quiz_create.css" %}"/>
{% endblock %}

{% block content %}
  <form
      v-on:submit.prevent
      :class="{created: created}"
  >
    {% csrf_token %}
    <div id="title-container">
      <label for="title">Title</label>
      <input required v-model="form.title" type="text" id="title">
    </div>

    <fieldset>
      <legend>Questions:</legend>
      <fieldset v-for="question in form.questions" :key="question.id">
        <legend>Question</legend>
        <div class="question-container">
<!--           <label for="question">Question</label> -->
          <input required v-model="question.question" type="text">
          <fieldset>
            <legend>Answers</legend>
            <div class="answeroption" v-for="answerOption in question.answer_options" :key="answerOption.id" >
              <input
                     :value="answerOption.id"
                     :checked="answerOption.is_correct_answer"
                     @change="updateSelectedAnswer(question.answer_options, answerOption)"
                     :name="'answer-'+question.id" type="radio">
              <input v-model="answerOption.answer" required type="text">
              <button @click="delFromSequence(answerOption, question.answer_options)">Remove</button>
            </div>
            <button @click="addAnswerOption(question)">Add answer option</button>
          </fieldset>
        </div>
        <button @click="delFromSequence(question, form.questions)">Remove</button>
      </fieldset>

      <button @click="addQuestion">Add question</button>
    </fieldset>
    <div class="message">Successfully created quiz!</div>
    <button @click="submit()" :disabled="!isValid || created">Submit</button>
  </form>
  {% if DEV %}
    <pre>[[ form ]]</pre>
  {% endif %}
{% endblock %}


{% block extra_content %}
  <script src="{% static "reddit_quiz/quiz_create.js" %}"></script>
{% endblock %}
